| Kea 3.0.2-git

protocol_util.cc File Reference
`#include <config.h>`
`#include <asiolink/io_address.h>`
`#include <dhcp/dhcp6.h>`
`#include <dhcp/protocol_util.h>`
`#include <boost/static_assert.hpp>`
`#include <netinet/in_systm.h>`
`#include <netinet/ip.h>`
Include dependency graph for protocol_util.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Functions
uint16_t | isc::dhcp::calcChecksum (const uint8_t *buf, const uint32_t buf_size, uint32_t sum=0)
| Calculates checksum for provided buffer.
void | isc::dhcp::decodeEthernetHeader (util::InputBuffer &buf, Pkt4Ptr &pkt)
| Decode the Ethernet header.
void | isc::dhcp::decodeIpUdpHeader (util::InputBuffer &buf, Pkt4Ptr &pkt)
| Decode IP and UDP header.
void | isc::dhcp::writeEthernetHeader (const Pkt4Ptr &pkt, util::OutputBuffer &out_buf)
| Writes ethernet frame header into a buffer.
void | isc::dhcp::writeIpUdpHeader (const Pkt4Ptr &pkt, util::OutputBuffer &out_buf)
| Writes both IP and UDP header into output buffer.